## org.apache.poi.hssf.record
Class DeltaRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.DeltaRecord

    public final class DeltaRecord

extends StandardRecord

Title: Delta Record (0x0010)

Description: controls the accuracy of the calculations

REFERENCE: PG 303 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Author:
  Andrew C. Oliver (acoliver at apache dot org), Jason Height (jheight at chariot dot net dot au)

Field Summary
`static double` `DEFAULT_VALUE`
`static short` `sid`

Constructor Summary
`DeltaRecord(double maxChange)`
`DeltaRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` `clone()`
`protected int` `getDataSize()`
`double` `getMaxChange()` get the maximum change
`short` `getSid()` return the non static version of the id for this record.
`void` `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### DEFAULT_VALUE

    public static final double DEFAULT_VALUE

See Also:
  Constant Field Values

Constructor Detail

### DeltaRecord

    public DeltaRecord(double maxChange)

### DeltaRecord

    public DeltaRecord(RecordInputStream in)

Method Detail

### getMaxChange

    public double getMaxChange()

  get the maximum change

  Returns:
    maxChange - maximum rounding error

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.